---
updatedAt: 2025-06-02T23:41:24.000Z
agentTools:
  projectIndex: https://docs.stake.fish/llms.txt
---

# /v1/exit-validators-admin

IMPORTANT: This is a private endpoint that can be used only by the organization admin. Initiates the process of exiting a validator from Ethereum staking operations using their indices.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Ethereum Staking API",
    "version": "1.0.0",
    "description": "This API facilitates the management of non-custodial Ethereum validators hosted by Stakefish. It equips users with essential tools and datapoints to manage a seamless staking experience at scale, supporting operations from keypair generation through to validator exit."
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuth": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "description": "API key required to authenticate the request, provided on the header in the format of `Authorization: <API key>`. Alternatively, this can be supplied as an `api_key` query parameter."
      }
    }
  },
  "paths": {
    "/v1/exit-validators-admin": {
      "post": {
        "tags": [
          "enterprise staking"
        ],
        "description": "IMPORTANT: This is a private endpoint that can be used only by the organization admin. Initiates the process of exiting a validator from Ethereum staking operations using their indices.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "indices": {
                    "type": "array",
                    "items": {
                      "anyOf": [
                        {
                          "type": "string",
                          "pattern": "^[0-9]+$"
                        },
                        {
                          "type": "integer"
                        }
                      ],
                      "description": "The index of the validator.",
                      "example": "123456"
                    },
                    "minItems": 1,
                    "maxItems": 100,
                    "example": [
                      1568943,
                      "2468221"
                    ],
                    "description": "The indices of the validator(s). Must be an array of integers (or strings representing them)"
                  }
                },
                "required": [
                  "indices"
                ],
                "additionalProperties": false
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "apiKeyAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Provides the status of the exit request along with detailed information about the validator involved. This includes whether the exit was successful and any relevant validator attributes.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "pubkey": {
                        "type": "string",
                        "pattern": "^0x",
                        "example": "0x80000001677f23a227dfed6f61b132d114be83b8ad0aa5f3c5d1d77e6ee0bf5f73b0af750cc34e8f2dae73c21dc36f4a",
                        "description": "The pubkey of the validator."
                      },
                      "validatorIndex": {
                        "anyOf": [
                          {
                            "type": "string",
                            "pattern": "^[0-9]+$"
                          },
                          {
                            "type": "string"
                          }
                        ],
                        "description": "The index of the validator.",
                        "example": "123456"
                      },
                      "successful": {
                        "type": "boolean"
                      },
                      "reason": {
                        "type": "string",
                        "description": "The reason for the exit failure if the exit was not successful."
                      }
                    },
                    "required": [
                      "pubkey",
                      "validatorIndex",
                      "successful"
                    ]
                  },
                  "description": "Provides the status of the exit request along with detailed information about the validator involved. This includes whether the exit was successful and any relevant validator attributes."
                }
              }
            }
          },
          "400": {
            "description": "Returns an error object describing the payload validation issues.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "object",
                          "additionalProperties": {}
                        }
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ],
                  "description": "Returns an error object describing the payload validation issues."
                },
                "example": {
                  "error": {
                    "issues": [
                      {
                        "code": "custom",
                        "message": "Invalid Ethereum address",
                        "path": [
                          "withdrawalCredentials"
                        ]
                      }
                    ],
                    "name": "ZodError"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Returns an error message",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "error"
                  ],
                  "description": "Returns an error message"
                },
                "example": {
                  "error": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Returns an error message",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "error"
                  ],
                  "description": "Returns an error message"
                },
                "examples": {
                  "example1": {
                    "value": {
                      "error": "Unauthorized"
                    }
                  },
                  "example2": {
                    "value": {
                      "error": "Setting custom fee recipient is not allowed"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "Internal Server Error"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.stake.fish/eth/stake"
    },
    {
      "url": "https://api.hoodi.stake.fish/eth/stake"
    }
  ],
  "tags": [
    {
      "name": "enterprise staking",
      "description": "Endpoints which require an API key with elevated privileges - enables requests to be completed without requiring a cryptographic signature and other eligibility checks."
    }
  ]
}
```